POST
/plugins/{name}/set Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
name
path
Required
The name of the plugin. The
:latest tag is optional, and is the
default if omitted.Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Request
application/json
Type:
array
Array item
Type:
string
All schema constraints and annotations
{
"type": "string"
}All schema constraints and annotations
{
"example": [
"DEBUG=1"
],
"items": {
"type": "string"
},
"type": "array"
}Schema example
[
"DEBUG=1"
]Response
204
No error
No response content is declared.
Response
404
Plugin not installed
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Response
500
Server error
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ErrorResponse
Complete operation contract
{
"operationId": "PluginSet",
"parameters": [
{
"description": "The name of the plugin. The `:latest` tag is optional, and is the\ndefault if omitted.\n",
"in": "path",
"name": "name",
"required": true,
"schema": {
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
"DEBUG=1"
],
"items": {
"type": "string"
},
"type": "array"
}
}
},
"x-codegen-request-body-name": "body"
},
"responses": {
"204": {
"description": "No error"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Plugin not installed"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Server error"
}
},
"summary": "Configure a plugin",
"tags": [
"Plugin"
]
}